Subject: Re: bug#39067: shell-command-dont-erase-buffer strange behaviour

From: Michael Albinus <[email-masked]>
Date: Sat, 11 Jan 2020 10:57:20 +0100

Eli Zaretskii <[email-masked]> writes:

> IOW, this feature is not working as advertised in several important
> use case, and never did AFAICT.  Its implementation is incomplete.

Test cases for this (and other shell-command functionality) would also
be appreciated.

FTR, Tramp ignores this variable completely. Once it is fixed in
shell-command, we might want to fix it also for Tramp.

The current implementation in simple.el uses
shell-command--save-pos-or-erase and shell-command--set-point-after-cmd,
both are internal functions. Could we make them first class citizens,
that Tramp could profit from?

> Thanks.

Best regards, Michael.